Subject: Re: bug#36526: 26.2; Open diff at current location (feature request with suggested code)

From: Stefan Kangas <[email-masked]>
Date: Wed, 15 Jan 2020 03:20:45 +0100

Campbell Barton <[email-masked]> writes:

> Hi Stefan,
>
> I've updated the Q&A to include the code and a utility function to use
> it:
>
> https://emacs.stackexchange.com/a/51439/2418
>
> Try binding "vc-root-diff-fullscreen-and-jump-to-point" from a key in a
> git repository with local edits, this will open the diff at (or close
> to) the location being edited.
>
> Included example video, showing how this is useful:
>
> https://youtu.be/hbD8WrtWfEg

Campbell Barton <[email-masked]> writes:

> Hi Stefan, my last post didn't get a response so I assumed there wasn't
> much interest here.
>
> I've since made this a package, however a reply on reddit suggests I
> try to get this into emacs source.
>
> If there is interest, I'm happy to create a patch and other steps
> needed to have in added into emacs.  
>
> https://www.reddit.com/r/emacs/comments/efu71g/announce_diffatpoint_now_available_in_melpa/fc4s4im?utm_source=share&utm_medium=web2x

Hi Campbell,

Sorry for the late reply, and thank you for your continued efforts in
pushing for this feature.

I've watched your video, and I think it looks interesting.  I would
think it useful enough to include, and it certainly helps that you are
willing to do the work to get it done.

Unfortunately, I'm not a heavy vc user, so I don't feel fully
qualified to comment on this use case.

Could someone else please take a look at this proposal and give
Campbell a more informed reply?

Best regards,
Stefan Kangas